function AdminSelectAll( oCheckbox, sPrefix, iRows, fValue )
{
    var iLength;

    if ( fValue == null )
        fValue = oCheckbox.checked;

    // Alle Select-Boxen, die dem Prefix entsprechen, markieren
	for ( i = 1; i <= iRows; i++ )
    {
        iLength = oCheckbox.form.elements[ sPrefix + '_row' + i ].length;
        if ( iLength == null )
        {
            if ( oCheckbox.form.elements[ sPrefix + '_row' + i ].type == 'checkbox' )
                oCheckbox.form.elements[ sPrefix + '_row' + i ].checked = fValue;
        }
        else
        {
            for( j = 0; j < iLength; j++ )
            {
                if ( oCheckbox.form.elements[ sPrefix + '_row' + i ][ j ].type == 'checkbox' )
                    oCheckbox.form.elements[ sPrefix + '_row' + i ][ j ].checked = fValue;
            }
        }
    }

    return( true );
}

function AdminConfirm( oElement, sPrefix, sText, sError )
{
	fSelected = false;

	// berprfen, ob eine Select-Box ausgewhlt wurde.
	for ( i = 1; i <= iRows; i++ )
		if ( oElement.form.elements[ sPrefix + '_row' + i ].checked )
			fSelected = true;

    // Nix wurde ausgewhlt
	if ( !fSelected )
	{
    	alert( sError );
    	return( false );
    }

    // Fragen, ob was getan werden soll.
    return( confirm( sText ) );
}

function AdminFieldChanged( oElement, sPrefix, sRow )
{
	oElement.form.elements[ sPrefix + '_' + sRow ].checked = true;
	return( true );
}

/**
    This array is used to remember mark status of rows in browse mode
*/
var oGlobalRowMarked = new Array;

/**
    Sets/unsets the pointer and marker in browse mode
    @param   object    the table row
    @param   interger  the row number
    @param   string    the action calling this script (over, out or click)
    @param   string    the default class
    @param   string    the class to use for mouseover
    @param   string    the class to use for marking a row
    @return  boolean  whether pointer is set or not
*/
function AdminRowHighlight( oRow, sRow, sAction, sClassEdit, sClassHover, sClassClick )
{
    var sClassCurrent = null;
    var sClassNew = null;
    var $iRow;

    if ( ( sClassHover == '' && sClassClick == '' ) || typeof( oRow.className ) == 'undefined' )
        return( false );

    // remove "row" from "row1" to get the rownumber as integer
    iRow = eval( sRow.substr( 3, sRow.length - 3 ) );

    sClassCurrent = oRow.className;

    if ( sClassCurrent == '' || sClassCurrent.toLowerCase() == sClassEdit.toLowerCase() )
    {
        if ( sAction == 'over' && sClassHover != '' )
            sClassNew = sClassHover;
        else if ( sAction == 'click' && sClassClick != '' )
        {
            sClassNew = sClassClick;
            oGlobalRowMarked[ iRow ] = true;
        }
    }
    else if ( sClassCurrent.toLowerCase() == sClassHover.toLowerCase() && ( typeof( oGlobalRowMarked[ iRow ] ) == 'undefined' || !oGlobalRowMarked[ iRow ] ) )
    {
        if ( sAction == 'out' )
            sClassNew = sClassEdit;
        else if ( sAction == 'click' && sClassClick != '' )
        {
            sClassNew = sClassClick;
            oGlobalRowMarked[ iRow ] = true;
        }
    }
    else if ( sClassCurrent.toLowerCase() == sClassClick.toLowerCase() )
    {
        if ( sAction == 'click' )
        {
            sClassNew = ( sClassHover != '' ) ? sClassHover : sClassEdit;
            oGlobalRowMarked[ iRow ] = ( typeof( oGlobalRowMarked[ iRow ] ) == 'undefined' || !oGlobalRowMarked[ iRow ] ) ? true : null;
        }
    }

    if ( sClassNew )
        oRow.className = sClassNew;

    return( true );
}
