<?php

include_once '../../../../include/opage.php';

$oWebpage = $oFactory->Webpage( 'a_logon', 'CWebpageBasis' );
$oWebpage->Init();
$oWebpage->Begin();

$oTemplate = $oFactory->Template( 'logon.tpl' );

// use username2 and password2 here to avoid autologon in admin/custom/page.php
$oForm = $oFactory->Control( 'CForm', 'logon' );
$oForm->AddField( 'admin_username', 'TEXT', true );
$oForm->AddField( 'admin_password', 'PASSWORD', true );
$oForm->AddField( 'rememberme', 'YESNO' );
$oForm->AddField( 'filename', 'TEXT' );

// Auto-Logon
// Use auto-logon only if there is no username and no password
if ( IsNull( $oForm->GetValue( 'admin_username' ) ) && IsNull( $oForm->GetValue( 'admin_password' ) ) )
{
    $sUsername = $oApp->GetCookie( 'opage_admin_username' );
    $sPassword = $oApp->GetCookie( 'opage_admin_password' );

    // Fill form only if there is username and password
    if ( !IsNull( $sUsername ) && !IsNull( $sPassword ) )
    {
        $oForm->SetValue( 'admin_username', $sUsername );
        $oForm->SetValue( 'admin_password', $sPassword );
        $oForm->SetValue( 'submit', 1 );
    }
}

if ( $oForm->IsSubmitted() && $oForm->Validate() )
{
    $sUsername = $oForm->GetValue( 'admin_username' );
    $sPassword = $oForm->GetValue( 'admin_password' );
    $sRememberMe = $oForm->GetValue( 'rememberme' );

    if ( $oUser->Logon( $sUsername, $sPassword ) )
    {
        // Remember Username and Password
        if ( $sRememberMe == 'y' )
        {
            SetCookie( 'opage_admin_username', $sUsername, mktime( 0, 0, 0, 12, 31, 2034 ), $oApp->GetRoot() );
            SetCookie( 'opage_admin_password', $sPassword, mktime( 0, 0, 0, 12, 31, 2034 ), $oApp->GetRoot() );
        }

        $sRedirect = $oForm->GetValue( 'filename' );
        if ( $sRedirect == '' )
            $sRedirect = 'admin/index.php';
        $oTemplate->Assign( 'redirect', $sRedirect );

        $oTemplate->Parse( 'main.submitted' );

        header( 'Location: ' . $oApp->GetRoot() . $sRedirect );

        $oTemplate->Parse();
        $oWebpage->Assign( 'content', $oTemplate->Text() );
        $oWebpage->End();
        exit();
    }
    else
        $oTemplate->parse( 'main.logon.error_logon' );
}

$oForm->SetValue( 'password_admin', '' );
$oForm->OutputTpl( $oTemplate );

$oTemplate->Parse();
$oWebpage->Assign( 'content', $oTemplate->Text() );
$oWebpage->End();
