<?php

include_once '../../../../include/opage.php';
include_once $sRoot . 'include/control/mail.php';

$sPage = $oApp->GetParameter( 'page' );
$sSubTitle = $oApp->GetParameter( 'subtitle' );
$sModul = $oApp->GetParameter( 'modul' );
$sId = $oApp->GetParameter( 'id' );
$sMode = $oApp->GetParameter( 'mode' );

if ( IsNull( $sPage ) )
    die( 'missing page' );
if ( IsNull( $sModul ) )
    die( 'missing modul' );
if ( IsNull( $sId ) )
    die( 'missing id' );
if ( IsNull( $sMode ) )
    $sMode = 'user';

$oWebpage = new CPageNormal();
$oWebpage->SetId( $sPage );
$oWebpage->SetTemplate( 'admin/custom/detail' );
$oWebpage->Init();
$oWebpage->RightCheck( substr( $sPage, 2 ), 'send', $oApp->PathLink( 'admin/pages/home/home.php' ) );
$oWebpage->AddTitle( $sSubTitle );
$oWebpage->Begin();
$aParameter = $oWebpage->GetTemplateParameter();

// create modul
$oModul = $oFactory->Modul( $sModul );
$oModul->SetFilter( 'id', $sId );
$oModul->SetLimit( 1 );
$oModul->QueryData();

$oTemplate = $oFactory->Template( 'send.tpl' );
$oTemplate->SetVars( $aParameter );

if ( $oModul->IsData() )
{
    $sTemplate = $oApp->Pathlink( 'custom/admin/send/' . $oModul->GetName() . '.tpl' );
    if ( !is_file( $sTemplate ) )
        die( 'template ' . $sTemplate . ' not found.' );

    if ( $sMode == 'admin' )
    {
        if ( $oModul->MailToAdmin( $sTemplate ) )
            $oMessage->Add( $oResource->Message( 'message_sentto', $oModul->GetEmailAdmin( 'email' ) ) );
        else
            $oError->Add( $oResource->Error( 'message_notsent' ) );
    }
    else
    {
        if ( $oModul->MailToUser( $sTemplate ) )
            $oMessage->Add( $oResource->Message( 'message_sentto', $oModul->Get( 'email' ) ) );
        else
            $oError->Add( $oResource->Error( 'message_notsent' ) );
    }
}
else
    $oError->Add( $oResource->Error( 'database_notfound' ) );


// Content in Haupttemplate eingfgen
$oTemplate->Parse();
$oWebpage->assign( 'content', $oTemplate->Text() );

$oWebpage->End();
