<?php

defined( 'oPage' ) or die();

class CRelation extends CModul
{
    var $sType;

    function CRelation( $sName = null )
    {
        $this->SetDefault( 'multiple' );
        if ( $sName === null )
            $sName = $this->GetDefault();

        // Zuerst die Basisklasse initialisieren
        $this->CModul( $sName );

        // Do not create page entries in Setup
        $this->SetSetupPages( false );
    }

    function SetFields()
    {
        // Keine Felder setzen
        // Das Hauptfeld mu 'id' heien
        // Das zweite Feld mu den selben Namen wie im Formular haben
        return( true );
    }

    /** Save all Relation data
        @param $sId ID fr das Feld id
        @param $sField
        @param $sValues
    */
    function RelationSave( $sId, $sField, $sValues )
    {
        // Die alten Eintrge lschen
        $this->RelationClear( $sId );

        // Die neuen Werte speichern
        if ( !IsNull( $sValues ) )
        {
            $aValues = explode( ',', $sValues );
    		foreach( $aValues as $sValue )
    		{
    		    $aRow[ 'id' ] = $sId;
    		    $aRow[ $sField ] = $sValue;
    		    $this->Insert( $aRow );
    		}
        }
    }

    /** Deletes all Relation Entries
        @param $sId ID fr das Feld id
    */
    function RelationClear( $sId )
    {
        $sFilter = $this->GetField( 'id' ) . "='$sId'";
        $this->Delete( $sFilter );
    }
}
