<?php

include_once '../../../include/opage.php';

// create page
$oWebpage = $oFactory->Webpage( 'popup' );
$oWebpage->SetTemplate( 'include/pages/popup/popup.tpl' );
$oWebpage->Init();

// Titel berschreiben
$sTitle = $oApp->GetParameter( 'title' );
if ( !IsNull( $sTitle ) )
{
    $oWebpage->SetTitle( $sTitle );
}
$oWebpage->Begin();

$sImage = $oApp->GetParameter( 'image' );
if ( $sImage !== '' && $sImage !== null )
{
    $oWebpage->Assign( 'image', $sImage );

    // Bildgre in das Template einfgen
    $aSize = GetImageSize( $sRoot . $sImage );
    $oWebpage->Assign( 'image_width', $aSize[ 0 ] );
    $oWebpage->Assign( 'image_height', $aSize[ 1 ] );
}

$oWebpage->End();
