<?php

defined( 'oPage' ) or die();

/** Plugin class
*/
class CBackPlugin extends CPlugin
{
    /**
     *  @var CBack Back control
     */
    var $oBack;

    /** Hook entry point for WebpageX
        @param &$oWebpage reference to the page object
        @param $sPart ('constructor', 'begin_pre', 'begin', 'end')
    */
    function WebpageBasis( &$oWebpage, $sPart )
    {
        global $oFactory;

        switch( $sPart )
        {
            case 'begin':
                $this->oBack = $oFactory->Control( 'CBack' );
            break;

            case 'end':
                // Create template
                $oTemplate = $this->Template( 'content.tpl', $this->oBack->GetName() );
                // Output
                $this->oBack->OutputTpl( $oTemplate );
                $oWebpage->Assign( 'back', $oTemplate->Parse()->Text() );
                $oWebpage->Parse( 'main.back' );
            break;
        }

        return( parent::WebpageBasis( $oWebpage, $sPart ) );
    }
}
