<?php

defined( 'oPage' ) or die();

/** Plugin class
*/
class CContactPlugin extends CPlugin
{
    /** Setup plugins
        @var &$oSetup reference to the setup object
    */
    function Setup( &$oSetup )
    {
        // Add module
        $oSetup->AddModul( 'CContact' );

        // Add controller to page
        $oSetup->AddPage( 'content', 'plugin_contact_form', $this->GetPath() . 'form.php', null, 'Contact Form', null, null, null, null, null, true );
    }

    /** Factory extension for the plugin
        @var $sClass name of the wanted class
    */
    function FactoryModul( $sClass, &$sCreate, &$sName, &$sInclude )
    {
        switch( $sClass )
        {
            case 'CContact':
                $sInclude = $this->sPath . 'modul/contact.php';
            break;

            default:
                return( false );
            break;
        }

        return( true );
    }
}
