<?php

defined( 'oPage' ) or die();

/** Plugin class
*/
class CCssBoilerplatePlugin extends CPlugin
{
    /** Hook entry point for WebpageX
        @param &$oWebpage reference to the page object
        @param $sPart ('constructor', 'begin_pre', 'begin', 'end')
    */
    function Webpage( &$oWebpage, $sPart )
    {
        parent::Webpage( $oWebpage, $sPart );

        switch( $sPart )
        {
            case 'constructor':
            break;

            case 'init':
            break;

            case 'begin':
                // Add boilerplate.css
                $oTemplate = $this->Template( 'css.tpl' );
                $oTemplate->Parse();
                $oWebpage->Assign( 'head_css1', $oTemplate->Text() );
                $oWebpage->Parse( 'main.head_css1' );

                // Add print.css
                $oTemplate = $this->Template( 'print.tpl' );
                $oTemplate->Parse();
                $oWebpage->Assign( 'head_css4', $oTemplate->Text() );
                $oWebpage->Parse( 'main.head_css4' );
            break;

            case 'end':
            break;
        }
    }
}
