<?php

defined( 'oPage' ) or die();

// no SEO in admin!
$oApp->SetQuerySeparator( '?' );
$oApp->SetParamSeparator( '&' );

// Resource Objekt
$oResource = $oFactory->Resource();

// Message und Error initialisieren
$oMessage = $oFactory->Control( 'CMessage', 'message' );
$oError = $oFactory->Control( 'CMessage', 'error' );

// Session anlegen
$oSession = $oFactory->Session();
$oSession->SetRoot( 'admin/' );

// User
$oUser = $oFactory->Modul( 'CUser' );

$sUsername = $oApp->GetParameter( 'username' );
$sPassword = $oApp->GetParameter( 'password' );
if ( !IsNull( $sUsername ) && !IsNull( $sPassword ) )
{
    if ( !$oUser->Logon( $sUsername, $sPassword ) )
    {
        die( 'Error: Logon failed.' );
    }
}

if ( $oApp->GetFeature( 'user', 'rights' ) > 0 )
{
    $oUser->SetRights();
}

if ( $oApp->GetFeature( 'user', 'client' ) == 1 )
{
    $oUser->SetClients();
}
