<?php

include_once '../../../../include/opage.php';

$oWebpage = $oFactory->Webpage( 'a_logoff', 'CWebpageBasis' );
$oWebpage->Init();
$oWebpage->UserCheck( $oApp->PathLink( 'admin/index.php' ) );
$oWebpage->Begin();

$oTemplate = $oFactory->Template( 'logoff.tpl' );

$sUsername = $oUser->GetUser();
$sFullname = $oUser->GetFullname();
if ( $sFullname != '' )
    $sDisplay = $sFullname . ' (' . $sUsername . ')';
else
    $sDisplay = $sUsername;
$oTemplate->Assign( 'user_display', $sDisplay );

$oForm = $oFactory->Control( 'CForm', 'logoff' );
// $oForm->AddField( 'remembermenot', 'YESNO' );

if ( $oForm->IsSubmitted() && $oForm->Validate() )
{
    if ( $oUser->Logoff() )
    {
        //if ( $oForm->GetValue( 'remembermenot' ) == 'y' )
        //{
            SetCookie( 'opage_admin_username', '', mktime( 0, 0, 0, 12, 31, 2034 ), $oApp->GetRoot() );
            SetCookie( 'opage_admin_password', '', mktime( 0, 0, 0, 12, 31, 2034 ), $oApp->GetRoot() );
        //}

        $sRedirect = $oForm->GetValue( 'redirect' );
        if ( $sRedirect == '' )
            $sRedirect = 'admin/custom/pages/logon/logon.php?admin_username=' . $sUsername;
        $oTemplate->Assign( 'redirect', $sRedirect );

        $oTemplate->Parse( 'main.submitted' );

        header( 'Location: ' . $oApp->GetRoot() . $sRedirect );

        $oTemplate->Parse();
        $oWebpage->Assign( 'content', $oTemplate->Text() );
        $oWebpage->End();
        exit();
    }
    else
        $oWebpage->parse( 'main.logoff.error_logoff' );
}

$oForm->OutputTpl( $oTemplate );

$oTemplate->Parse();
$oWebpage->Assign( 'content', $oTemplate->Text() );
$oWebpage->End();
