<?php

define( 'oPage install', 1 );

// Copy missing files from include/setup/ to /
include_once '../include/tools.php';
if ( !DirectoryCopy( '../include/setup/', '../', false ) )
{
    die( 'Basic files could not be copied' );
}

// Include opage system
include_once '../include/opage.php';

// Check, if install is allowed
if ( !$oApp->GetInstall() )
{
    die( 'Install not allowed' );
}

SystemSetTimeout( 0 );

// Create database object
$oDb = $oFactory->Db();

// Create setup object
$oSetup = $oFactory->Setup();

// Call Install
$oSetup->Install( $oApp->GetParameter( 'install' ) );

// Now include opage again
include_once $sRoot . 'include/opage.php';

// Now create the page object (without user verification) and output the result
$oWebpage = $oFactory->Webpage( 'a_install', 'CWebpage' );
// Use page template from WebpageNormal (looks better)
$oWebpage->SetTemplate( 'admin/custom/normal.tpl' );
$oWebpage->Init();
$oWebpage->Begin();
$sContent = '';
if ( !$oApp->IsDevelopment() && !$oApp->IsTesting() )
{
    $sContent .= '<h1>Warning!</h1>' . "\n";
    $sContent .= '<p class="texterror">Set \'install\' to false in custom/config.php when you are finished.<p>' . "\n";
}
$sContent .= $oSetup->GetContent();
$oWebpage->Assign( 'content', $sContent );
$oWebpage->End();
