<?php

defined( 'oPage' ) or die();

class CFactory_Base
{
    function CFactory_Base()
    {
    }

    function _PluginConfigure( &$oObject, $sClass = null )
    {
    }

    function Modul( $sClass, $sName = null, $sInclude = Null )
    {
        $oObject = $this->_Modul( $sClass, $sName, $sInclude );
        if ( !is_object( $oObject ) )
            return( $oObject );

        $oObject->SetClass( $sClass );

        $this->_ModulConfigure( $oObject );

        $oObject->Init();

        return( $oObject );
    }

    function _Modul( $sClass, $sName = Null, $sInclude = Null, $sCreate = null )
    {
        global $sRoot;
        global $oApp;
        global $oPlugins;
        global $oTimer;
        global $iTrace;

        // Run through all plugins
        $oPlugins->FactoryModul( $sClass, $sCreate, $sName, $sInclude );
        if ( $sClass != $sCreate && $sInclude === null || $sInclude === true )
        {
            $oPlugins->FactoryModul( $sCreate, $sCreate, $sName, $sInclude );
        }

        switch( $sClass )
        {
            case 'CCustomer':
                if ( $sName === null )
                    $sName = 'customer';
                if ( $sCreate === null )
                    $sCreate = 'CPerson';
            break;

            case 'CCustomerCategory':
                if ( $sName === null )
                    $sName = 'customer_category';
                if ( $sCreate === null )
                    $sCreate = 'CCategory';
            break;

            case 'CCustomerIntro':
                if ( $sName === null )
                    $sName = 'customer_intro';
                if ( $sCreate === null )
                    $sCreate = 'CPersonIntro';
            break;

            case 'CEvents':
                if ( $sName === null )
                    $sName = 'events';
                if ( $sCreate === null )
                    $sCreate = 'CNews';
            break;

            case 'CForum':
            case 'CForum2':
                if ( $sName === null )
                    $sName = 'forum';
                if ( $sCreate === null )
                    $sCreate = 'CComment';
            break;

            case 'CForum2Category':
                if ( $sName === null )
                    $sName = 'forum_category';
                if ( $sCreate === null )
                    $sCreate = 'CCategory';
            break;

            case 'CForum2User':
                if ( $sName === null )
                    $sName = 'forum_user';
                if ( $sCreate === null )
                    $sCreate = 'CPerson';
            break;

            case 'CForum2UserIntro':
                if ( $sName === null )
                    $sName = 'forum_user_intro';
                if ( $sCreate === null )
                    $sCreate = 'CPersonIntro';
            break;

            case 'CForum2UserCategory':
                if ( $sName === null )
                    $sName = 'forum_user_category';
                if ( $sCreate === null )
                    $sCreate = 'CCategory';
            break;

            case 'CGalleryPicture':
                if ( $sName === null )
                    $sName = 'gallery_picture';
                if ( $sCreate === null )
                    $sCreate = 'CPicture';
            break;

            case 'CLinksCategory':
                if ( $sName === null )
                    $sName = 'links_category';
                if ( $sCreate === null )
                    $sCreate = 'CCategory';
            break;

            case 'CNewsletter':
                if ( $sName === null )
                    $sName = 'newsletter';
                if ( $sCreate === null )
                    $sCreate = 'CPerson';
            break;

            case 'CNewsletter2':
                if ( $sName === null )
                    $sName = 'newsletter';
                if ( $sCreate === null )
                    $sCreate = 'CNews';
            break;

            case 'CNewsletter2Protocol':
                if ( $sName === null )
                    $sName = 'newsletter_protocol';
                if ( $sCreate === null )
                    $sCreate = 'CProtocol';
            break;

            case 'CNewsletter2Recipient':
                if ( $sName === null )
                    $sName = 'newsletter_recipient';
                if ( $sCreate === null )
                    $sCreate = 'CPerson';
            break;

            case 'CNewsletter2RecipientIntro':
                if ( $sName === null )
                    $sName = 'newsletter_recipient_intro';
                if ( $sCreate === null )
                    $sCreate = 'CPersonIntro';
            break;

            case 'CNewsletter2RecipientCategory':
                if ( $sName === null )
                    $sName = 'newsletter_recipient_category';
                if ( $sCreate === null )
                    $sCreate = 'CCategory';
            break;

            case 'CQuicklinks':
                if ( $sName === null )
                    $sName = 'quicklinks';
                if ( $sCreate === null )
                    $sCreate = 'CNews';
            break;

            case 'CPageMenu':
                if ( $sName === null )
                    $sName = 'page_menu';
                if ( $sCreate === null )
                    $sCreate = 'CMenu';
            break;

            case 'CPageModul':
                if ( $sName === null )
                    $sName = 'page_modul';
                if ( $sCreate === null )
                    $sCreate = 'CMenu';
            break;

            case 'CPageNavigation':
                if ( $sName === null )
                    $sName = 'page_navigation';
                if ( $sCreate === null )
                    $sCreate = 'CMenu';
            break;

            case 'CPageTools':
                if ( $sName === null )
                    $sName = 'page_tools';
                if ( $sCreate === null )
                    $sCreate = 'CMenu';
            break;

            case 'CScreenshot':
                if ( $sName === null )
                    $sName = 'screenshot';
                if ( $sCreate === null )
                    $sCreate = 'CPicture';
            break;

            case 'CShopCalculate':
                if ( $sName === null )
                    $sName = 'shop_calculate';
                if ( $sCreate === null )
                    $sCreate = 'CCalculate';
            break;

            case 'CShopCart':
                if ( $sName === null )
                    $sName = 'shop_cart';
                if ( $sCreate === null )
                    $sCreate = 'CCart';
            break;

            case 'CShopCartTemplate':
                if ( $sName === null )
                    $sName = 'shop_cart_template';
                if ( $sCreate === null )
                    $sCreate = 'CCartTemplate';
            break;

            case 'CShopCategory':
                if ( $sName === null )
                    $sName = 'shop_category';
                if ( $sCreate === null )
                    $sCreate = 'CCategory';
            break;

            case 'CShopCurrency':
                if ( $sName === null )
                    $sName = 'shop_currency';
                if ( $sCreate === null )
                    $sCreate = 'CCurrency';
            break;

            case 'CShopDiscount':
                if ( $sName === null )
                    $sName = 'shop_discount';
                if ( $sCreate === null )
                    $sCreate = 'CDiscount';
            break;

            case 'CShopItem':
                if ( $sName === null )
                    $sName = 'shop_item';
                if ( $sCreate === null )
                    $sCreate = 'CItem';
            break;

            case 'CShopItemSub':
                if ( $sName === null )
                    $sName = 'shop_item';
                if ( $sCreate === null )
                    $sCreate = 'CItem';
            break;

            case 'CShopOrder':
                if ( $sName === null )
                    $sName = 'shop_order';
                if ( $sCreate === null )
                    $sCreate = 'COrder';
            break;

            case 'CShopOrderItem':
                if ( $sName === null )
                    $sName = 'shop_order_item';
                if ( $sCreate === null )
                    $sCreate = 'COrderItem';
            break;

            case 'CShopPayment':
                if ( $sName === null )
                    $sName = 'shop_payment';
                if ( $sCreate === null )
                    $sCreate = 'CPayment';
            break;

            case 'CShopPaymentMethod':
                if ( $sName === null )
                    $sName = 'shop_payment_method';
                if ( $sCreate === null )
                    $sCreate = 'CPaymentMethod';
            break;

            case 'CShopPrice':
                if ( $sName === null )
                    $sName = 'shop_price';
                if ( $sCreate === null )
                    $sCreate = 'CPrice';
            break;

            case 'CShopPricelist':
                if ( $sName === null )
                    $sName = 'shop_pricelist';
                if ( $sCreate === null )
                    $sCreate = 'CPricelist';
            break;

            case 'CShopRegion':
                if ( $sName === null )
                    $sName = 'shop_region';
                if ( $sCreate === null )
                    $sCreate = 'CCategory';
            break;

            case 'CShopSection':
                if ( $sName === null )
                    $sName = 'shop_section';
                if ( $sCreate === null )
                    $sCreate = 'CCategory';
            break;

            case 'CShopSectionItem':
                if ( $sName === null )
                    $sName = 'shop_sectionitem';
                if ( $sCreate === null )
                    $sCreate = 'CRelation';
            break;

            case 'CShopShipping':
                if ( $sName === null )
                    $sName = 'shop_shipping';
                if ( $sCreate === null )
                    $sCreate = 'CShipping';
            break;

            case 'CShopShippingCosts':
                if ( $sName === null )
                    $sName = 'shop_shipping_costs';
                if ( $sCreate === null )
                    $sCreate = 'CShippingCosts';
            break;

            case 'CShopShippingMethod':
                if ( $sName === null )
                    $sName = 'shop_shipping_method';
                if ( $sCreate === null )
                    $sCreate = 'CCategory';
            break;

            case 'CShopShippingPayment':
                if ( $sName === null )
                    $sName = 'shop_shipping_payment';
                if ( $sCreate === null )
                    $sCreate = 'CShippingPayment';
            break;

            case 'CShopTax':
                if ( $sName === null )
                    $sName = 'shop_tax';
                if ( $sCreate === null )
                    $sCreate = 'CTax';
            break;

            case 'CTeaser':
                if ( $sName === null )
                    $sName = 'teaser';
                if ( $sCreate === null )
                    $sCreate = 'CNews';
            break;

            default:
                if ( $sCreate === null || $sCreate === '' )
                    $sCreate = $sClass;
            break;
        }

        if ( $sInclude !== false )
        {
            if ( $sInclude === null || $sInclude === true )
            {
                $sModul = strtolower( substr( $sCreate, 1 ) ) . '.php';
                if ( file_exists( $sRoot . 'include_pro/modul/' . $sModul ) )
                {
                    $sInclude = 'include_pro/modul/' . $sModul;
                }
                elseif ( file_exists( $sRoot . 'include_std/modul/' . $sModul ) )
                {
                    $sInclude = 'include_std/modul/' . $sModul;
                }
                else
                {
                    $sInclude = 'include/modul/' . $sModul;
                }
            }

            if ( !file_exists( $sRoot . $sInclude ) )
            {
                if ( $oApp->IsDevelopment() || $oApp->IsTesting() )
                    trigger_error( 'Include file not found: ' . $sInclude,  E_USER_ERROR );
                return( null );
            }

            include_once $sRoot . 'include/modul.php';
            include_once $sRoot . $sInclude;
        }

        if ( $sName === null )
            $oObject = new $sCreate();
        else
            $oObject = new $sCreate( $sName );

        if ( $oObject === null )
        {
            trigger_error( 'Object not created: ' . $sClass,  E_USER_ERROR );
        }

        if ( isset( $oTimer ) && $iTrace > 0 )
        {
            $oObject->SetTrace( $iTrace );
        }

        return( $oObject );
    }

    function _ModulConfigure( &$oObject, $sClass = null )
    {
        global $oApp;
        global $oPlugins;
        global $oUser;

        if ( $sClass === null )
        {
            $sClass = $oObject->GetClass();
        }

        switch( $sClass  )
        {
            case 'CCalender':
                $oObject->AddSub( $oObject->GetClassGroup() . 'Entry', 'id', 'calender_id' );
            break;

            case 'CEvents':
                $oObject->SetFieldUseAdminList( 'date_from', false );
                $oObject->SetFieldUseAdminList( 'date_till', false );
            break;

            case 'CForum':
                $oObject->SetFilter( 'type', 'forum' );
                $oObject->SetFieldUseAdmin( 'notify' );
            break;

            case 'CForum2':
                $oObject->SetFieldUseAdminList( 'category_id' );
                $oObject->SetFieldUseAdmin( 'notify' );
                $oObject->SetFieldUse( 'type', false );
                $oObject->SetLevels( 3 );
            break;

            case 'CForum2Category':
                $oObject->SetFieldUseAdmin( 'abstract' );
                $oObject->SetFieldUse( 'title_navigation', false );
                $oObject->SetFieldUse( 'title_menu', false );
            break;

            case 'CForum2User':
                $oObject->SetFieldUseAdminList( 'category_id' );
                $oObject->SetFieldUse( 'company', false );
                $oObject->SetFieldUse( 'title', false );
                $oObject->SetFieldUse( 'suffix', false );
                $oObject->SetFieldUse( 'street', false );
                $oObject->SetFieldUse( 'zip', false );
                $oObject->SetFieldUse( 'city', false );
                $oObject->SetFieldUse( 'country', false );
                $oObject->SetFieldUse( 'region', false );
                $oObject->SetFieldUse( 'telephone', false );
                $oObject->SetFieldUse( 'fax', false );
                $oObject->SetFieldUse( 'mobile', false );
                $oObject->SetFieldUse( 'username', false );
                $oObject->SetFieldUse( 'description', false );
                $oObject->SetFieldUse( 'notes', false );

                // forum user rights
                $oObject->SetLevel( 'new#topic', 0 );
                $oObject->SetLevel( 'file', 9 );
            break;

            case 'CForum2UserIntro':
            break;

            case 'CForum2UserCategory':
                $oObject->SetFieldUseAdminList( 'level' );
            break;

            case 'CGallery':
                $oObject->AddSub( $oObject->GetClassGroup() . 'Picture', 'id', 'gallery_id' );
            break;

            case 'CGalleryPicture':
                $oObject->SetSetupPages( false );
                $oObject->SetFieldUseAdmin( 'text' );
                $oObject->SetFieldUseAdmin( 'gallery_id' );
            break;

            case 'CNewsletter':
                $oObject->SetOrder( 'id' ); // attention: sort order 'desc' is not allowed, because emails have to be sent in the right order

                $oObject->SetFieldUse( 'title', false );
                $oObject->SetFieldUse( 'middlename', false );
                $oObject->SetFieldUse( 'suffix', false );
                $oObject->SetFieldUse( 'company', false );
                $oObject->SetFieldUse( 'department', false );
                $oObject->SetFieldUse( 'position', false );
                $oObject->SetFieldUse( 'description', false );
                $oObject->SetFieldUse( 'street', false );
                $oObject->SetFieldUse( 'zip', false );
                $oObject->SetFieldUse( 'city', false );
                $oObject->SetFieldUse( 'region', false );
                $oObject->SetFieldUse( 'country', false );
                $oObject->SetFieldUse( 'telephone', false );
                $oObject->SetFieldUse( 'fax', false );
                $oObject->SetFieldUse( 'mobile', false );
                $oObject->SetFieldUse( 'homepage', false );
                $oObject->SetFieldUse( 'icq', false );
                $oObject->SetFieldUse( 'gender', false );
                $oObject->SetFieldUse( 'birthday', false );
                $oObject->SetFieldUse( 'image', false );
                $oObject->SetFieldUse( 'notes', false );
                $oObject->SetFieldUse( 'username', false );
            break;

            case 'CNewsletter2':
                $oObject->SetTemplatePath( 'newsletter/templates/' );
                $oObject->SetTextPrepareUrls();
                $oObject->SetFieldUse( 'sort', false );
                $oObject->SetFieldUse( 'date_from', false );
                $oObject->SetFieldUse( 'date_till', false );
                $oObject->SetFieldUse( 'abstract', false );
                $oObject->SetFieldUse( 'more', false );
                $oObject->SetFieldUse( 'image_big', false );
                $oObject->SetFieldUse( 'display', false );
                $oObject->SetFieldUse( 'url', false );

                $oObject->SetFieldUseAdminList( 'image_small' );
                $oObject->SetFieldUseAdmin( 'preview' );
                $oObject->SetFieldUseAdmin( 'title_sub' );
                $oObject->SetFieldUseAdmin( 'text', true );
                $oObject->SetFieldUseAdmin( 'image_small2', true );
                $oObject->SetFieldUseAdmin( 'title_sub2', true );
                $oObject->SetFieldUseAdmin( 'text2', true );
                $oObject->SetFieldUseAdmin( 'image_small3', true );
                $oObject->SetFieldUseAdmin( 'title_sub3', true );
                $oObject->SetFieldUseAdmin( 'text3', true );
                $oObject->SetFieldUseAdmin( 'image_small4', true );
                $oObject->SetFieldUseAdmin( 'title_sub4', true );
                $oObject->SetFieldUseAdmin( 'text4', true );
                $oObject->SetFieldUseAdmin( 'image_small5', true );
                $oObject->SetFieldUseAdmin( 'title_sub5', true );
                $oObject->SetFieldUseAdmin( 'text5', true );

                $oObject->SetPreviewUrl( 'admin_std/custom/pages/preview/preview.php?content=' . urlencode( 'admin/' . $oObject->GetName() . '/preview.php?id=' ) . '{id}' . urlencode( '&' . $oObject->GetName() . '_preview=' ) . '{id}' . '&delete=' . urlencode( 'admin_std/custom/pages/preview/delete.php?class=' . $oObject->GetClass() . '&id=' ) . '{id}' );

                // Button zum Senden des Newsletters?
                if ( $oApp->GetAdmin() )
                    if ( $oApp->GetFeature( 'user', 'rights' ) < 0 || $oUser->Right( 'newsletter', 'send' ) )
                        $oObject->AddAdminListBlock( 'newsletter_send' );
            break;

            case 'CNewsletter2Recipient':
                $oObject->SetOrder( 'id' );

                $oObject->SetFieldUseAdminList( 'category_id' );
                $oObject->SetFieldUseAdminList( 'verified' );
                $oObject->SetFieldUseAdmin( 'html' );
                $oObject->SetFieldUseAdmin( 'verified_datetime' );
                $oObject->SetFieldUseAdmin( 'verified_ip' );

                $oObject->SetFieldUse( 'title', false );
                $oObject->SetFieldUse( 'middlename', false );
                $oObject->SetFieldUse( 'suffix', false );
                $oObject->SetFieldUse( 'company', false );
                $oObject->SetFieldUse( 'department', false );
                $oObject->SetFieldUse( 'position', false );
                $oObject->SetFieldUse( 'description', false );
                $oObject->SetFieldUse( 'street', false );
                $oObject->SetFieldUse( 'zip', false );
                $oObject->SetFieldUse( 'city', false );
                $oObject->SetFieldUse( 'region', false );
                $oObject->SetFieldUse( 'country', false );
                $oObject->SetFieldUse( 'telephone', false );
                $oObject->SetFieldUse( 'fax', false );
                $oObject->SetFieldUse( 'mobile', false );
                $oObject->SetFieldUse( 'homepage', false );
                $oObject->SetFieldUse( 'icq', false );
                $oObject->SetFieldUse( 'gender', false );
                $oObject->SetFieldUse( 'birthday', false );
                $oObject->SetFieldUse( 'image', false );
                $oObject->SetFieldUse( 'notes', false );
                $oObject->SetFieldUse( 'username', false );
            break;

            case 'CNewsletter2RecipientCategory':
                $oObject->SetFieldUse( 'name', false );
                $oObject->SetFieldUse( 'title_menu', false );
                $oObject->SetFieldUse( 'title_navigation', false );
                $oObject->SetFieldUse( 'text', false );
            break;

            case 'CPageMenu':
                $oObject->SetFieldUse( 'parent_name', false );
            break;

            case 'CPageNavigation':
                $oObject->SetFieldUse( 'parent_name', false );
            break;

            case 'CQuicklinks':
                $oObject->SetFieldUse( 'date', false );
                $oObject->SetFieldUse( 'abstract', false );
                $oObject->SetFieldUse( 'image_small', false );
                $oObject->SetFieldUse( 'image_big', false );
                $oObject->SetFieldUse( 'text', false );
                $oObject->SetFieldUse( 'more', false );
                $oObject->SetFieldUseAdmin( 'url' );
                $oObject->SetFieldUseAdmin( 'url_typ' );
                $oObject->SetFieldUseAdmin( 'target' );
                $oObject->SetFieldWidthAdmin( 'url', 127 );
            break;

            case 'CPoll':
                $oObject->AddSub( $oObject->GetClassGroup() . 'Answer', 'id', 'poll_id' );
            break;

            case 'CQuiz':
                $oObject->AddSub( $oObject->GetClassGroup() . 'Question', 'id', 'quiz_id' );
            break;

            case 'CScreenshot':
                $oObject->SetFieldUse( 'category_id', false );
                $oObject->SetFieldUse( 'gallery_id', false );
                $oObject->SetFieldUse( 'code', false );
                $oObject->SetFieldUse( 'location', false );
                $oObject->SetFieldUse( 'photographer', false );
            break;

            case 'CShopCategory':
                $oObject->SetFieldUseAdminList( 'name', true );
                $oObject->SetFieldWidthAdmin( 'title', 140 );
                $oObject->SetFieldWidthAdmin( 'title_menu', 140 );
                $oObject->SetFieldWidthAdmin( 'title_navigation', 140 );
            break;

            case 'CShopDiscount':
                $oObject->SetClassGroup( 'CShop' ); // Just to get CShopCategory instead of CShopDiscountCategory
            break;

            case 'CShopItem':
                $oObject->SetClassGroup( 'CShop' ); // Just to get CShopCategory instead of CShopItemCategory
            break;

            case 'CShopItemSub':
                $oObject->SetFieldWidthAdmin( 'title', 75 );
                $oObject->SetFieldWidthAdmin( 'title_short', 75 );
                $oObject->SetFieldWidthAdmin( 'length', 10 );
                $oObject->SetFieldWidthAdmin( 'code', 10 );
                $oObject->ClearFilter( 'parent_id' );
            break;

            case 'CShopOrder':
                $oObject->SetClassGroup( 'CShop' ); // Just to get CShopCategory instead of CShopItemCategory
                $oObject->AddSub( $oObject->GetClassGroup() . 'OrderItem', 'id', 'order_id' );
            break;

            case 'CShopOrderItem':
                $oObject->SetClassGroup( 'CShop' ); // Just to get CShopCategory instead of CShopItemCategory
                $oObject->SetSetupPages( false );
            break;

            case 'CShopRegion':
                $oObject->SetFieldUseAdminList( 'name', true );
                $oObject->SetFieldWidthAdmin( 'title', 135 );
                $oObject->SetFieldWidthAdmin( 'title_menu', 135 );
                $oObject->SetFieldWidthAdmin( 'title_navigation', 135 );
            break;

            case 'CShopSection':
                $oObject->SetFieldUseAdminList( 'name', true );
            break;

            case 'CShopSectionItem':
                $oObject->SetField( 'id', 'ID', Null, 'item_id' );
                $oObject->SetField( 'section', 'ID', Null, 'category_id' );
            break;

            case 'CShopShippingCosts':
                $oObject->SetClassGroup( 'CShopShipping' ); // Just to get CShippingMethod instead of CShippingCostsMethod
            break;

            case 'CShopShippingMethod':
                $oObject->SetFieldUseAdminList( 'name' );
                $oObject->SetFieldUse( 'title_menu', false );
                $oObject->SetFieldUse( 'title_navigation', false );
                $oObject->SetFieldUse( 'text', false );
            break;

            case 'CTeaser':
                $oObject->SetFieldUseAdmin( 'url_title' );
                $oObject->SetFieldUseAdmin( 'url_typ' );
                $oObject->SetFieldUseAdmin( 'url' );
                $oObject->SetFieldUseAdmin( 'target' );
                $oObject->SetFieldUse( 'date', false );
                $oObject->SetFieldUse( 'image_big', false );
            break;
        }

        // let the plugins configure the class (and overwrite some preconfigured settings)
        $oPlugins->FactoryModulConfigure( $oObject, $sClass );
    }

    function Control( $sClass, $sName = Null, $fInclude = Null )
    {
        $oObject = $this->_Control( $sClass, $sName, $fInclude );

        if ( !is_object( $oObject ) )
            return( $oObject );

        $oObject->SetClass( $sClass );
        $this->_ControlConfigure( $oObject );

        return( $oObject );
    }

    function _Control( $sClass, $sName = Null, $sInclude = Null )
    {
        global $sRoot;
        global $oPlugins;

        // Run through all plugins
        $oPlugins->FactoryControl( $sClass, $sCreate, $sName, $sInclude );
        if ( $sClass != $sCreate && $sInclude === null || $sInclude === true )
        {
            $oPlugins->FactoryControl( $sCreate, $sCreate, $sName, $sInclude );
        }

        if ( $sInclude === null )
        {
            $sInclude = true;
        }

        switch( $sClass )
        {
            case 'CMenu':
                if ( $sName === null )
                    $sName = 'menu';
                $sClass = 'CNavigation';
            break;
        }

        if ( $sInclude !== false )
        {
            if ( $sInclude === null || $sInclude === true )
            {
                $sControl = strtolower( substr( $sClass, 1 ) ) . '.php';
                if ( file_exists( $sRoot . 'include_pro/control/' . $sControl ) )
                {
                    $sInclude = 'include_pro/control/' . $sControl;
                }
                elseif ( file_exists( $sRoot . 'include_std/control/' . $sControl ) )
                {
                    $sInclude = 'include_std/control/' . $sControl;
                }
                else
                {
                    $sInclude = 'include/control/' . $sControl;
                }
            }

            if ( !file_exists( $sRoot . $sInclude ) )
            {
                if ( $oApp->IsDevelopment() || $oApp->IsTesting() )
                    trigger_error( 'Include file not found: ' . $sInclude,  E_USER_ERROR );
                return( null );
            }

            include_once $sRoot . 'include/control.php';
            include_once $sRoot . $sInclude;
        }

        if ( $sName === null )
            $oObject = new $sClass();
        else
            $oObject = new $sClass( $sName );

        return( $oObject );
    }

    function _ControlConfigure( &$oObject, $sClass = null )
    {
        global $oPlugins;

        if ( $sClass === null )
        {
            $sClass = $oObject->GetClass();
        }

        switch( $sClass  )
        {
            case 'CMenu':
                $oObject->SetType( 'menu' );
            break;
        }

        // let the plugins configure the class (and overwrite some preconfigured settings)
        $oPlugins->FactoryControlConfigure( $oObject, $sClass );
    }

    function Date( $sLanguage = Null, $sCharset = null )
    {
        global $oApp;
        global $sRoot;

        if ( $sLanguage === null )
            $sLanguage = $oApp->GetLanguageShortText();
        if ( $sCharset === null )
            $sCharset = $oApp->GetCharset();

        $sInclude = 'include/date.php';
        if ( !file_exists( $sRoot . $sInclude ) )
            return( null );
        include_once $sRoot . $sInclude;

        $oDate = new CDate( $sLanguage, $sCharset );

        return( $oDate );
    }

    function Db( $sHost = null, $sDatabase = null, $sUser = null, $sPassword = null, $sErrorHandling = null )
    {
        global $sRoot;

        $sInclude = 'include/db.php';
        if ( !file_exists( $sRoot . $sInclude ) )
            return( null );
        include_once $sRoot . $sInclude;

        $oDb = new CDb( $sHost, $sDatabase, $sUser, $sPassword, $sErrorHandling );
        $this->_DbConfigure( $oDb );

        return( $oDb );
    }

    function _DbConfigure( &$oDb )
    {
        global $oApp;
        global $sRoot;

        // Set collation in relation to charset
        $sCharset = $oApp->GetCharset();
        switch( strtolower( $sCharset ) )
        {
            case 'utf-8':
                $oDb->SetCharset( 'utf8' );
                $oDb->SetCollation( 'utf8_general_ci' );
            break;

            // this area favours german language settings
            // maybe I should check, if the website is running primarily in english and use different collations
            case 'windows-1252':
            case 'iso-8859-15':
                $oDb->SetCharset( 'latin1' );
                $oDb->SetCollation( 'latin1_german1_ci' );
            break;

            default:
                $oDb->SetCharset();
                $oDb->SetCollation();
            break;
        }

        if ( !$oDb->Conn() )
        {
            if ( is_file( $sRoot . 'custom/pages/error/index.htm' ) )
            {
                Header( 'Location: ' . $oApp->GetRoot() . 'custom/pages/error/index.htm' );
            }
            else
            {
                Header( 'Location: ' . $oApp->GetRoot() . 'include/pages/error/index.htm' );
            }
            exit();
        }
    }

    function Dir( $fVerbose = null )
    {
        global $sRoot;

        $sInclude = 'include/dir.php';
        if ( !file_exists( $sRoot . $sInclude ) )
            return( null );
        include_once $sRoot . $sInclude;

        $oDir = new CDir( $fVerbose );

        return( $oDir );
    }

    function Hook()
    {
        global $sRoot;
        global $oHook;

        if ( isset( $oHook ) )
            return( $oHook );

        $sInclude = 'custom/hook.php';
        if ( file_exists( $sRoot . $sInclude ) )
        {
            include_once $sRoot . $sInclude;

            $oHook = new CHookX();

            return( $oHook );
        }

        $sInclude = 'include/hook.php';
        if ( !file_exists( $sRoot . $sInclude ) )
            return( null );

        include_once $sRoot . $sInclude;

        $oHook = new CHook();

        return( $oHook );
    }

    function Image( $sFilename = null )
    {
        global $oApp;
        global $sRoot;

        $sInclude = 'include/image.php';
        if ( !file_exists( $sRoot . $sInclude ) )
            return( null );
        include_once $sRoot . $sInclude;

        $oImage = new CImage( $sFilename );

        if ( !is_object( $oImage ) )
            return( $oImage );

        // Resize Command holen
        $iMode = $oApp->GetFeature( 'opage', 'resize' );
        if ( $iMode < 0 )
            $iMode = $oApp->GetFeature( 'ipage', 'resize' );

        // Resize mode
        $iMode = $oApp->GetFeature( 'opage', 'resize only if size is different' );
        if ( $iMode == 1 )
        {
            $oImage->SetResizeOnlyIfSizeIsDifferent();
        }

        // Set subsystem
        if ( $iMode == 2 )
            $oImage->UseGD();

        // Set ImageMagick command
        $sCommand = $oApp->GetCommand( 'cmd_resize' );
        if ( !IsNull( $sCommand ) )
            $oImage->SetIMCommand( $sCommand );

        return( $oImage );
    }

    function Number( $sLanguage = Null, $sCharset = null )
    {
        global $oApp;
        global $sRoot;

        if ( $sLanguage === null )
            $sLanguage = $oApp->GetLanguageShortText();
        if ( $sCharset === null )
            $sCharset = $oApp->GetCharset();

        $sInclude = 'include/number.php';
        if ( !file_exists( $sRoot . $sInclude ) )
            return( null );
        include_once $sRoot . $sInclude;

        $oNumber = new CNumber( $sLanguage, $sCharset );

        return( $oNumber );
    }

    function Plugins()
    {
        global $sRoot;

        $sInclude = 'include/plugins.php';
        if ( !file_exists( $sRoot . $sInclude ) )
        {
            return( null );
        }
        include_once $sRoot . $sInclude;

        $oPlugins = new CPlugins();

        return( $oPlugins );
    }

    function Resource( $sLanguage = null, $sCharset = null )
    {
        global $oApp;
        global $sRoot;

        if ( $sLanguage === null )
            $sLanguage = $oApp->GetLanguageShortText();
        if ( $sCharset === null )
            $sCharset = $oApp->GetCharset();

        $sInclude = 'include/resource.php';
        if ( !file_exists( $sRoot . $sInclude ) )
            return( null );
        include_once $sRoot . $sInclude;

        $oResource = new CResource( $sLanguage, $sCharset );

        return( $oResource );
    }

    function Session( $sId = null, $fInit = null )
    {
        global $sRoot;

        $sInclude = 'include/session.php';
        if ( !file_exists( $sRoot . $sInclude ) )
            return( null );
        include_once $sRoot . $sInclude;

        $oSession = new CSession( $sId, $fInit );

        return( $oSession );
    }

    function Setup()
    {
        global $sRoot;

        $sInclude = 'include/setup.php';
        if ( !file_exists( $sRoot . $sInclude ) )
            return( null );
        include_once $sRoot . $sInclude;

        $oSetup = new CSetup();

        return( $oSetup );
    }

    function Template( $sFilename, $sBlock = null, $aParameter = null, $sLanguage = null, $sName = null, $sResource = null )
    {
        global $sRoot;
        global $oWebpage;

        $sInclude = 'include/template.php';
        if ( !file_exists( $sRoot . $sInclude ) )
            return( null );
        include_once $sRoot . $sInclude;

        $oTemplate = new CTemplate( $sFilename, $sBlock, $aParameter, $sLanguage, $sName, $sResource );

        // If a Webpage exists, use the vars from there
        $aParameter = $oWebpage->GetTemplateParameter();
        if ( $aParameter != null )
        {
            $oTemplate->SetVars( $aParameter );
        }

        return( $oTemplate );
    }

    function Webpage( $sId, $sClass = null )
    {
        global $oApp;
        global $sRoot;

        if ( $sClass === null )
        {
            $sClass = 'CWebpage';
        }

        include_once $sRoot . 'include/webpage.php';

        $sCustom = 'custom/';
        if ( $oApp->GetAdmin() )
        {
            $sCustom = 'admin/' . $sCustom;
        }

        if ( file_exists( $sRoot . $sCustom . 'webpage.php' ) )
        {
            include_once $sRoot . $sCustom . 'webpage.php';
        }

        $oWebpage = new $sClass();
        $oWebpage->SetId( $sId );

        return( $oWebpage );
    }
}

switch( $oApp->GetoPage() )
{
    case 'base':
    default:
        class CFactory extends CFactory_Base
        {
            function CFactory()
            {
                parent::CFactory_Base();
            }
        }
    break;

    case 'std':
        include_once $sRoot . 'include_std/factory.php';
        class CFactory extends CFactory_Std
        {
            function CFactory()
            {
                parent::CFactory_Std();
            }
        }
    break;

    case 'pro':
        include_once $sRoot . 'include_std/factory.php';
        include_once $sRoot . 'include_pro/factory.php';
        class CFactory extends CFactory_Pro
        {
            function CFactory()
            {
                parent::CFactory_Pro();
            }
        }
    break;
}
