/*
 * string.js 0.3
 *
 * Extends the string object with trim methods
 * Released as part of the oPage Web Content Management Framework
 * http://www.opage.at
 *
 * Released under the GNU GPL license
 * Author: Hannes Dorn <hannes@dorn.cc>
 * See also http://forum.de.selfhtml.org/archiv/2004/2/t71920/
 *
 */

String.prototype.leftTrim = function()
{
    return( this.replace( /^\s+/, '' ) );
};

String.prototype.rightTrim = function()
{
    return( this.replace( /\s+$/, '' ) );
};

String.prototype.Trim = function()
{
    return( this.replace( /\s+$/, '' ).replace( /^\s+/, '' ) );
};

String.prototype.superTrim = function()
{
    return( this.replace( /\s+/g, ' ' ).replace( /\s+$/, '' ).replace( /^\s+/, '' ) );
};

String.prototype.removeWhiteSpaces = function()
{
    return( this.replace( /\s+/g, '' ) );
};
