<?php

defined( 'oPage' ) or die();

$aConfig = array();

// Production
$aConfig[ '' ] = array
(
    'mode' => '',                                   // production, staging, testing, development, default: production
    'debug' => false,                               // no debug functions
    'install' => false,                             // admin/install.php allowed? true/false, default: false; when install is finished, set this to false!
    'setup' => true,                                // admin/setup.php allowed? true/false, default: false; when development is finished, set this to false!
    'Query_Separator' => '?',                       // query separator, default '?'; e.g.: '/'
    'Param_Separator' => '&amp;',                   // parameter separator, default '&amp;'; e.g.: '/'
    'http' => '',                                   // the main url, e.g.: http://www.example.com
    'https' => '',                                  // the main ssl url, e.g.: https://www.example.com
    'Root' => '',                                   // some path below htdocs, e.g.: '/' or '/opage/'
    'ErrorHandling' => 'no',                        // for database errors: yes|no|report
    'DB' => 'mysql',                                // currently 'mysql' only
    'DB_Server' => '',                              // hostname of the database server, default: 'localhost'
    'DB_User' => '',                                // username for the database, default: 'root'
    'DB_Password' => '',                            // password for the database, default: ''
    'DB_Database' => '',                            // database name
    'DB_Table_Prefix' => '',                        // prefix for table names for shared databases, e.g.: 'opage_'
    'Mail_Server' => '',                            // mailsystem to use: php mail(): 'mail', sendmail: 'sendmail' or a hostname of a smtp server, e.g.: 'smtp.example.com'
    'Timezone' => 'Europe/Vienna',                  // timezone settings, default 'Europe/Vienna'
    'Charset' => 'utf-8'                            // charset of the output and the database, default 'windows-1252'; e.g.: 'utf-8'
);

// Development
$aConfig[ '{your real hostname}' ] = array
(
    'mode' => 'development',
    'debug' => true,
    'install' => true,
    'setup' => true,
    'Query_Separator' => '&',
    'Param_Separator' => '&amp;',
    'http' => 'http://localhost',
    'https' => 'https://localhost',
    'Root' => '',
    'ErrorHandling' => 'yes',
    'DB' => 'mysql',
    'DB_Server' => '',
    'DB_User' => '',
    'DB_Password' => '',
    'DB_Database' => '',
    'DB_Table_Prefix' => '',
    'Mail_Server' => '',
    'Timezone' => 'Europe/Vienna',
    'Charset' => 'utf-8'
);
