<?php

defined( 'oPage' ) or die();

/** Basic class for pages
    with counter
    without menu
*/
class CWebpageBasis extends CWebpage
{
    function CWebpageBasis()
    {
        global $oPlugins;

        parent::CWebpage();
        $this->SetTemplate( 'custom/basis.tpl' );

        // Hook for plugins
        $oPlugins->WebpageBasis( $this, 'constructor' );
    }

    function Init()
    {
        global $oPlugins;

        $fResult = parent::Init();

        // Hook for plugins
        $oPlugins->WebpageBasis( $this, 'init' );

        return( $fResult );
    }

    function Begin()
    {
        global $oPlugins;

        parent::Begin();

        // Hook for plugins
        $oPlugins->WebpageBasis( $this, 'begin' );
    }

    function End()
    {
        global $oPlugins;

        // Hook for plugins
        $oPlugins->WebpageBasis( $this, 'end' );

        return( parent::End() );
    }
}

/** Standard class for pages
    with counter
    with menue
*/
class CWebpageX extends CWebpageBasis
{
    function CWebpageX()
    {
        global $oPlugins;

        parent::CWebpageBasis();
        $this->SetTemplate( 'custom/basic.tpl' );

        // Hook for plugins
        $oPlugins->WebpageX( $this, 'constructor' );
    }

    function Init()
    {
        global $oPlugins;

        $fResult = parent::Init();

        // Hook for plugins
        $oPlugins->WebpageX( $this, 'init' );

        return( $fResult );
    }

    function Begin()
    {
        global $oPlugins;

        parent::Begin();

        // Hook for plugins
        $oPlugins->WebpageX( $this, 'begin' );
    }

    function End()
    {
        global $oPlugins;

        // Hook for plugins
        $oPlugins->WebpageX( $this, 'end' );

        return( parent::End() );
    }
}
