<?php

defined( 'oPage' ) or die();

/** Plugin class
*/
class CCssNormalizePlugin extends CPlugin
{
    /** Hook entry point for WebpageX
        @param &$oWebpage reference to the page object
        @param $sPart ('constructor', 'begin_pre', 'begin', 'end')
    */
    function Webpage( &$oWebpage, $sPart )
    {
        parent::Webpage( $oWebpage, $sPart );

        switch( $sPart )
        {
            case 'constructor':
            break;

            case 'init':
            break;

            case 'begin':
                // Add CSS
                $oTemplate = $this->Template( 'css.tpl' );
                $oTemplate->Parse();
                $oWebpage->Assign( 'head_css0', $oTemplate->Text() );
                $oWebpage->Parse( 'main.head_css0' );
            break;

            case 'end':
            break;
        }
    }
}
